## xfractint 20.4.00

=== Makefile ===

# SRCDIR should be a path to the directory that will hold fractint.hlp
# You will have to copy fractint.hlp to SRCDIR and make it world readable.
# SRCDIR should also hold the .par, .frm, etc. files
SRCDIR = .
# BINDIR is where you put your X11 binaries
BINDIR = /usr/X11R6/bin
# MANDIR is where you put your chapter 1 man pages
MANDIR = /usr/X11R6/man/man1

NOBSTRING =
HAVESTRI =
DEBUG =

# For Ultrix, uncomment the NOBSTRING line below.
# For SunOS or Solaris, uncomment the NOBSTRING and HAVESTRI lines below, so
# bstring.h will not be included, and the library stricmp will be used.
# (Actually newer Solaris versions do not provide stricmp, so try without
# HAVESTRI if you run into problems.)
# For HPUX, uncomment the NOBSTRING line, change the DEFINES line, the CFLAGS
# line, the CC line, and the LIBS line.
# For AIX or OSF/1, change the DEFINES and LIB lines.
# For Apollo, uncomment the NOBSTRING line.  You must also remove the
#     source references to unistd.h, malloc.h, and alloc.h.
# For 386BSD, uncomment the NOBSTRING line.  Depending on your system, you
#     may have to change the "#elif !defined(__386BSD__)" at the top of
#     prompts2.c to "#else".
# For Red Hat Linux, uncomment the NOBSTRING line.
#

NOBSTRING = -DNOBSTRING
#HAVESTRI = -DHAVESTRI
#DEBUG adds some sanity checking but will slow xfractint down
#DEBUG = -DEBUG
# If your compiler doesn't handle void *, define -DBADVOID
# If you get SIGFPE errors define -DFPUERR
# For HPUX, add -DSYS5
# and maybe add -DSYSV -D_CLASSIC_ANSI_TYPES
# For AIX, add -DNOBSTRING and -DDIRENT
# AIX may also need -D_POSIX_SOURCE -D_ALL_SOURCE -D_NONSTD_TYPES
# AIX may need -D_ALL_SOURCE -D_NONSTD_TYPES to compile help.c
# For Dec Alpha, add -DFTIME -DNOBSTRING -DDIRENT
# For SGI, you may have to add -DSYSVSGI
DEFINES = -DXFRACT $(NOBSTRING) $(HAVESTRI) $(DEBUG)

# Uncomment this if you get errors about "stdarg.h" missing.
#DEFINES += -DUSE_VARARGS

# To enable the long double type on Solaris, uncomment this and add
# "-lsunmath" to the LIBS definition below. Requires the sunmath library
# bundled with Sun C.
#DEFINES += -DUSE_SUNMATH

#Maybe -D_CONST will fix problems with constant type in include files?
#For HPUX, use CFLAGS = -I. $(DEFINES) -I/usr/include/X11R4 +O3 +Obb1000
#For SGI, add -cckr to CFLAGS
#For 386BSD, add -I/usr/X386/include to CFLAGS
#For Apollo add -I/usr/include/X11 to CFLAGS
#Some systems need -static on the CFLAGS.
#For Linux, add -DLINUX to CFLAGS
#If your version of Linux doesn't define SignalHandler add -DNOSIGHAND to CFLAGS
#For Solaris, use CFLAGS = -I. -I/usr/openwin/include $(DEFINES) -g
#If you have the nasm assembler on your system add -DNASM to CFLAGS

#CFLAGS = -I. -D_CONST $(DEFINES)
#CFLAGS = -I. $(DEFINES) -g -DBIG_ANSI_C -DLINUX -Os -Wall -mcpu=pentium -DNASM -fno-builtin
#CFLAGS = -I. $(DEFINES) -g -DBIG_ANSI_C -DLINUX -Os -DNASM
CFLAGS = -I. $(DEFINES) -g -DBIG_ANSI_C -DLINUX -Os -fno-builtin

# Gcc is often the only compiler that works for this
# For HPUX, use CC = cc -Aa -D_HPUX_SOURCE
# For AIX, maybe use CC = xlc, but other AIX users found cc works, xlc doesn't.
# For Apollo use CC = cc -A cpu,mathlib_sr10  -A systype,bsd4.3
# For Sun Solaris 2.x w/SparcCompilerC (cc), use CC = cc.
# For Sun Solaris 2.x w/GNU gcc, use CC = gcc
#CC = gcc
CC = gcc

# For HPUX, use LIBS = -L/usr/lib/X11R4 -lX11 -lm -lcurses -ltermcap
# For AIX or OSF/1, add -lbsd
# For 386BSD, add -L/usr/X386/lib to LIBS
# For Apollo, change -lX11 to -L/usr/X11/libX11
# For Solaris, add -L/usr/openwin/lib; change -lncurses to -lcurses
# if you get undefined symbols like "w32addch".
# For Linux, use
#LIBS = -L/usr/X11R6/lib -lX11 -lm -lncurses
LIBS = -L/usr/X11R6/lib -lX11 -lm -lncurses
#LIBS = -lX11 -lm -lcurses

# For using nasm, set:
#AS = nasm
# Note that because of the differences between the assembler syntaxes,
#  nasm is the only one that will work.
AS = foo

# Below is for Linux with output file type of elf, turn all warnings on
AFLAGS = -f elf -w+orphan-labels

# HPUX fixes thanks to David Allport, Bill Broadley, and R. Lloyd.
# AIX fixes thanks to David Sanderson & Elliot Jaffe.
# OSF/1 fixes thanks to Ronald Record.
# 386BSD fixes thanks to Paul Richards and Andreas Gustafsson.
# Apollo fixes thanks to Carl Heidrich
# Linux fixes thanks to Darcy Boese
# Makefile dependency fixes thanks to Paul Roberts.
# Solaris fixes thanks to Darryl House

OLDSRC = \
3d.c ant.c big.h bigflt.c biginit.c biginit.h bignum.c \
bignumc.c calcfrac.c cmdfiles.c cmplx.h debugfla.doc decoder.c editpal.c \
encoder.c evolve.c externs.h f16.c fmath.h fracsubr.c fractalb.c fractalp.c \
fractals.c fractint.c fractint.h fractsrc.doc fractype.h framain2.c \
frasetup.c gifview.c hc.c hc.doc hcmplx.c help.c helpcom.h \
intro.c jb.c jiim.c line3d.c loadfdos.c loadfile.c loadmap.c lorenz.c \
lsys.c lsys.h lsysf.c memory.c miscfrac.c miscovl.c miscres.c mpmath.h \
mpmath_c.c parser.c parserfp.c plot3d.c port.h printer.c prompts1.c \
prompts2.c prototyp.h realdos.c rotate.c slideshw.c soi.c soi1.c stereo.c \
targa.c targa.h targa_lc.h testpt.c tgaview.c tplus.c tplus.h zoom.c

NEWSRC = calcmand.c calmanfp.c diskvidu.c fpu087.c fracsuba.c general.c \
tplus_a.c video.c unix.c unixscr.c unix.h Makefile versions calmanfx.asm

HELPFILES = help.src help2.src help3.src help4.src help5.src

SRCFILES = $(OLDSRC) $(NEWSRC) $(HELPFILES)

PARFILES = \
cellular.par demo.par fract18.par fract19.par fract200.par fractint.par \
icons.par lyapunov.par music.par phoenix.par

FRMFILES = fractint.frm fract200.frm

IFSFILES = fractint.ifs

LFILES = fractint.l penrose.l tiling.l

MAPFILES = \
Carlson1.map Digiorg1.map Digiorg2.map Gallet01.map Gallet02.map Gallet03.map \
Gallet04.map Gallet05.map Gallet06.map Gallet07.map Gallet08.map Gallet09.map \
Gallet10.map Gallet11.map Gallet12.map Gallet13.map Gallet14.map Gallet15.map \
Gallet16.map Gallet17.map Gallet18.map Lindaa01.map Lindaa02.map Lindaa03.map \
Lindaa04.map Lindaa05.map Lindaa06.map Lindaa07.map Lindaa08.map Lindaa09.map \
Lindaa10.map Lindaa11.map Lindaa12.map Lindaa14.map Lindaa15.map Lindaa16.map \
Lindaa17.map Morgan1.map Morgan2.map Morgan3.map Morgen3.map Skydye01.map \
Skydye02.map Skydye03.map Skydye04.map Skydye05.map Skydye06.map Skydye07.map \
Skydye08.map Skydye09.map Skydye10.map Skydye11.map Skydye12.map Wizzl011.map \
Wizzl012.map Wizzl013.map Wizzl014.map Wizzl015.map Wizzl016.map Wizzl017.map \
Wizzl018.map Wizzl019.map Wizzl020.map altern.map blues.map bud2.map bud3.map \
bud4.map bud5.map bud6.map bud7.map chroma.map damien1.map damien2.map  \
damien3.map damien4.map damien5.map default.map droz10.map droz11.map  \
droz12.map droz13.map droz14.map droz15.map droz21.map droz22.map droz23.map \
droz28.map droz31.map droz33.map droz34.map droz35.map droz36.map droz38.map \
droz39.map droz40.map droz44.map droz46.map droz49.map droz52.map droz54.map \
droz56.map droz60.map droz62.map droz8.map drozdis1.map firestrm.map \
froth3.map froth316.map froth6.map froth616.map gamma1.map gamma2.map \
glasses1.map glasses2.map goodega.map green.map grey.map grid.map headache.map \
landscap.map lkmtch00.map lkmtch01.map lkmtch02.map lkmtch03.map lkmtch04.map \
lkmtch05.map lkmtch06.map lkmtch07.map lkmtch08.map lkmtch09.map lkmtch10.map \
lkmtch11.map lkmtch12.map lkmtch13.map lkmtch14.map lkmtch15.map lkmtch16.map \
lkmtch17.map lkmtch18.map lkmtch19.map lyapunov.map neon.map paintjet.map \
royal.map topo.map volcano.map

OLDRUN = $(PARFILES) $(FRMFILES) $(IFSFILES) $(LFILES) \
$(MAPFILES) demo.key

NEWRUN = fractint.doc README xfractint.man

NEWFILES = $(NEWSRC) $(NEWRUN)

RUNFILES = $(OLDRUN) $(NEWRUN)

FILES = $(SRCFILES) $(RUNFILES)

ifeq ($(AS),nasm)

OBJS = \
3d.o ant.o bigflt.o  biginit.o bignum.o bignumc.o calcfrac.o \
calcmand.o calmanfp.o cmdfiles.o decoder.o diskvidu.o editpal.o encoder.o \
evolve.o f16.o fpu087.o fracsuba.o fracsubr.o fractalb.o fractalp.o fractals.o \
fractint.o framain2.o frasetup.o general.o gifview.o hcmplx.o help.o \
intro.o jb.o jiim.o line3d.o loadfdos.o loadfile.o loadmap.o lorenz.o \
lsys.o lsysf.o memory.o miscfrac.o miscovl.o miscres.o mpmath_c.o parser.o \
parserfp.o plot3d.o printer.o prompts1.o prompts2.o \
realdos.o rotate.o slideshw.o soi.o soi1.o stereo.o targa.o testpt.o tgaview.o \
tplus.o tplus_a.o unix.o unixscr.o video.o zoom.o calmanfx.o

else

OBJS = \
3d.o ant.o bigflt.o  biginit.o bignum.o bignumc.o calcfrac.o \
calcmand.o calmanfp.o cmdfiles.o decoder.o diskvidu.o editpal.o encoder.o \
evolve.o f16.o fpu087.o fracsuba.o fracsubr.o fractalb.o fractalp.o fractals.o \
fractint.o framain2.o frasetup.o general.o gifview.o hcmplx.o help.o \
intro.o jb.o jiim.o line3d.o loadfdos.o loadfile.o loadmap.o lorenz.o \
lsys.o lsysf.o memory.o miscfrac.o miscovl.o miscres.o mpmath_c.o parser.o \
parserfp.o plot3d.o printer.o prompts1.o prompts2.o \
realdos.o rotate.o slideshw.o soi.o soi1.o stereo.o targa.o testpt.o tgaview.o \
tplus.o tplus_a.o unix.o unixscr.o video.o zoom.o

endif

HOBJS = hc.o unix.o

HELP = help.src help2.src help3.src help4.src help5.src

#Need to prevent lex from doing fractint.l -> fractint.c
.SUFFIXES:
.SUFFIXES: .o .c .s .h .asm

xfractint: fractint.hlp .WAIT $(OBJS)
	$(CC) -o xfractint $(CFLAGS) $(OBJS) $(LIBS)
#	strip xfractint

tar:	$(FILES)
	tar cfh xfractint.tar $(FILES)

tidy:
	rm -f $(OBJS) $(HOBJS)

clean:
	rm -f $(OBJS) $(HOBJS) fractint.doc fractint.hlp hc xfractint helpdefs.h

install: xfractint fractint.hlp
	cp xfractint $(BINDIR)/xfractint
	strip $(BINDIR)/xfractint
	chmod a+x $(BINDIR)/xfractint
	cp fractint.hlp $(PARFILES) $(FRMFILES) $(IFSFILES) $(LFILES) ./maps/$(MAPFILES) $(SRCDIR)
	(cd $(SRCDIR); chmod a+r fractint.hlp $(PARFILES) $(FRMFILES) $(IFSFILES) $(LFILES) $(MAPFILES) )
	cp xfractint.man $(MANDIR)/xfractint.1
	chmod a+r $(MANDIR)/xfractint.1

fractint.hlp: hc $(HELP)
	./hc /c

.WAIT:

fractint.doc: doc

doc: hc $(HELP)
	./hc /p

hc:	$(HOBJS)
	$(CC) -o hc $(CFLAGS) $(HOBJS)

unix.o:	unix.c
	$(CC) $(CFLAGS) -DSRCDIR=\"$(SRCDIR)\" -c unix.c

fractint.o: fractint.c
	$(CC) $(CFLAGS) -DSRCDIR=\"$(SRCDIR)\" -c fractint.c

help.o: help.c
	$(CC) $(CFLAGS) -DSRCDIR=\"$(SRCDIR)\" -c help.c

ifeq ($(AS),nasm)
calmanfx.o: calmanfx.asm
	$(AS) $(AFLAGS) calmanfx.asm
endif

sharsrc:	$(SRCFILES)
	shar -s shirriff@eng.sun.com $(SRCFILES) > xfsrc.shar

sharrun:	$(RUNFILES)
	shar $(RUNFILES) > xfrun.shar

shar:	$(FILES)
	shar $(FILES) > xfract.shar

sharc:	$(FILES)
	shar $(FILES) > xfract.shr; gzip xfract.shr

shartw: $(OLDSRC) $(HELPFILES)
	shar -s shirriff@sprite.Berkeley.EDU $(OLDSRC) $(HELPFILES)> source.tw;compress \
	source.tw

create:
	sccs create -r3.0 $(FILES)

checkout:
	for i in $(FILES) ; do \
	    sccs edit $$i; \
	done

checkin: $(OLDRUN) $(OLDSRC)
	for i in $(FILES) ; do \
	    sccs delget  -y"released 3.02" $$i; \
	done

unlock: $(FILES)
	co -u -f $(FILES)

outdate: $(FILES)
	rcs -o3.5 $(FILES)

merge: $(SRCFILES) $(HELPFILES)
	for i in $(SRCFILES) ; do \
	    rcsmerge -r3.1 -r3.1.1.1 $$i; \
	done

tags: $(SRCFILES)
	ctags $(SRCFILES)

rcsdiff:
	cp /dev/null diffs.out ; \
	for i in $(OLDSRC) ; do \
	    rcsdiff -c $$i >> diffs.out; \
	done
diff:
	echo "use make -i"; \
	for i in $(FILES) ; do \
	    (diff -c $$i v18 > diffs/$$i; true;); \
	    true; \
	done

copy: $(FILES)
	mv $(FILES) backup

# DO NOT DELETE THIS LINE -- make depend depends on it.

3d.o: 3d.c fractint.h port.h prototyp.h mpmath.h helpcom.h

ant.o: ant.c fractint.h port.h prototyp.h mpmath.h helpcom.h helpdefs.h

bigflt.o: bigflt.c big.h biginit.h

biginit.o: biginit.c fractint.h port.h prototyp.h mpmath.h helpcom.h \
big.h 

bignum.o: bignum.c fractint.h port.h prototyp.h mpmath.h helpcom.h 

bignumc.o: bignumc.c fractint.h port.h prototyp.h mpmath.h helpcom.h 

calcfrac.o: calcfrac.c fractint.h port.h fractype.h mpmath.h targa_lc.h \
			prototyp.h helpcom.h

calcmand.o: calcmand.c fractint.h port.h

calmanfp.o: calmanfp.c fractint.h port.h fractype.h

ifeq ($(AS),nasm)
calmanfx.o: calmanfx.asm xfract_a.inc
endif

## xfractint 20.4.10

=== Makefile ===
SHELL = /bin/sh
STRIP = strip
INSTALL = /usr/bin/install

# Architecture
# automatic detection
ARCH = `uname -m | tr "_" "-"`
# ARCH = pentium
# ARCH = x86-64
# ARCH = athlon64

# Optimization flags
OPT = -O2
# OPT = -O

# Uncomment the second line if you want to compile with ncurses support
# (as in older versions of xfractint)
NCURSES =
# NCURSES = -DNCURSES

ifndef PREFIX
PREFIX = /usr
endif
ifndef DESTDIR
DESTDIR = $(PREFIX)
endif

# SRCDIR should be a path to the directory that will hold fractint.hlp
# SRCDIR should also hold the .par, .frm, etc. files
SRCDIR = $(DESTDIR)/share/xfractint
SHRDIR = $(PREFIX)/share/xfractint
# BINDIR is where you put your X11 binaries
BINDIR = $(DESTDIR)/bin
# MANDIR is where you put your chapter 1 man pages
MANDIR = $(DESTDIR)/share/man/man1

HFD = ./headers
UDIR = ./unix
COMDIR = ./common
DOSHELPDIR = ./dos_help

FDIR = formulas
IDIR = ifs
LDIR = lsystem
MDIR = maps
PDIR = pars
XDIR = extra

PWD = $(shell pwd)
BASEDIR = $(shell basename ${PWD})

NOBSTRING =
HAVESTRI =
DEBUG =

# For Ultrix, uncomment the NOBSTRING line below.
# For SunOS or Solaris, uncomment the NOBSTRING and HAVESTRI lines below, so
# bstring.h will not be included, and the library stricmp will be used.
# (Actually newer Solaris versions do not provide stricmp, so try without
# HAVESTRI if you run into problems.)
# For HPUX, uncomment the NOBSTRING line, change the DEFINES line, the CFLAGS
# line, the CC line, and the LIBS line.
# For AIX or OSF/1, change the DEFINES and LIB lines.
# For Apollo, uncomment the NOBSTRING line.  You must also remove the
#     source references to unistd.h, malloc.h, and alloc.h.
# For 386BSD, uncomment the NOBSTRING line.  Depending on your system, you
#     may have to change the "#elif !defined(__386BSD__)" at the top of
#     prompts2.c to "#else".
# For Red Hat Linux, uncomment the NOBSTRING line.
# For Cygwin, uncomment the NOBSTRING and HAVESTRI lines below.
#

NOBSTRING = -DNOBSTRING
#HAVESTRI = -DHAVESTRI
#DEBUG adds some sanity checking but will slow xfractint down
#DEBUG = -DEBUG
# If your compiler doesn't handle void *, define -DBADVOID
# If you get SIGFPE errors define -DFPUERR
# For HPUX, add -DSYS5
# and maybe add -DSYSV -D_CLASSIC_ANSI_TYPES
# For AIX, add -DNOBSTRING and -DDIRENT
# AIX may also need -D_POSIX_SOURCE -D_ALL_SOURCE -D_NONSTD_TYPES
# AIX may need -D_ALL_SOURCE -D_NONSTD_TYPES to compile help.c
# For Dec Alpha, add -DFTIME -DNOBSTRING -DDIRENT
# For SGI, you may have to add -DSYSVSGI
DEFINES = -DXFRACT $(NCURSES) $(NOBSTRING) $(HAVESTRI) $(DEBUG)

# Uncomment this if you get errors about "stdarg.h" missing.
#DEFINES += -DUSE_VARARGS

# To enable the long double type on Solaris, uncomment this and add
# "-lsunmath" to the LIBS definition below. Requires the sunmath library
# bundled with Sun C.
#DEFINES += -DUSE_SUNMATH

# Uncomment this for Cygwin
#DEFINES += -DCYGWIN -DDIRENT

# For using nasm, set:
#AS = /usr/bin/nasm
# Note that because of the differences between the assembler syntaxes,
#  nasm is the only one that will work.
AS = foo

# Below is for Linux with output file type of elf, turn all warnings on
AFLAGS = -f elf -w+orphan-labels

#Maybe -D_CONST will fix problems with constant type in include files?
#For HPUX, use CFLAGS = -I. $(DEFINES) -I/usr/include/X11R4 +O3 +Obb1000
#For SGI, add -cckr to CFLAGS
#For 386BSD, add -I/usr/X386/include to CFLAGS
#For Apollo add -I/usr/include/X11 to CFLAGS
#Some systems need -static on the CFLAGS.
#For Linux, add -DLINUX to CFLAGS
#If your version of Linux doesn't define SignalHandler add -DNOSIGHAND to CFLAGS
#For Solaris, use CFLAGS = -I. -I/usr/openwin/include $(DEFINES) -g
#If you have the nasm assembler on your system add -DNASM to CFLAGS

ifeq ($(AS),/usr/bin/nasm)

CFLAGS = -I$(HFD) $(DEFINES) -g -DBIG_ANSI_C -DLINUX -DNASM -fno-builtin
#CFLAGS = -I. -D_CONST $(DEFINES)
#CFLAGS = -I$(HFD) $(DEFINES) -g -DBIG_ANSI_C -DLINUX \
#         -march=$(ARCH) -DNASM -fno-builtin
#CFLAGS = -I. $(DEFINES) -g -DBIG_ANSI_C -DLINUX -Os -DNASM -fno-builtin

else

CFLAGS = -I$(HFD) $(DEFINES) -g -DBIG_ANSI_C -DLINUX -fno-builtin
#CFLAGS = -I$(HFD) $(DEFINES) -g -DBIG_ANSI_C -DLINUX \
#         -march=$(ARCH) -fno-builtin
#CFLAGS = -I. $(DEFINES) -g -DBIG_ANSI_C -DLINUX -Os -fno-builtin

endif

# Gcc is often the only compiler that works for this
# For HPUX, use CC = cc -Aa -D_HPUX_SOURCE
# For AIX, maybe use CC = xlc, but other AIX users found cc works, xlc doesn't.
# For Apollo use CC = cc -A cpu,mathlib_sr10  -A systype,bsd4.3
# For Sun Solaris 2.x w/SparcCompilerC (cc), use CC = cc.
# For Sun Solaris 2.x w/GNU gcc, use CC = gcc
#CC = gcc
CC = /usr/bin/gcc

# For HPUX, use LIBS = -L/usr/lib/X11R4 -lX11 -lm -lcurses -ltermcap
# For AIX or OSF/1, add -lbsd
# For 386BSD, add -L/usr/X386/lib to LIBS
# For Apollo, change -lX11 to -L/usr/X11/libX11
# For Solaris, add -L/usr/openwin/lib; change -lncurses to -lcurses
# if you get undefined symbols like "w32addch".
# For Linux, use
# LIBS = -L/usr/X11R6/lib -lX11 -lm -lncurses
# LIBS = -lX11 -lm -lcurses

ifeq ($(ARCH),athlon64)
LIBS = -L/usr/X11R6/lib64 -lX11 -lm
else
LIBS = -L/usr/X11R6/lib -lX11 -lm
endif

ifeq ($(NCURSES),-DNCURSES)
LIBS += -lncurses
endif

# HPUX fixes thanks to David Allport, Bill Broadley, and R. Lloyd.
# AIX fixes thanks to David Sanderson & Elliot Jaffe.
# OSF/1 fixes thanks to Ronald Record.
# 386BSD fixes thanks to Paul Richards and Andreas Gustafsson.
# Apollo fixes thanks to Carl Heidrich
# Linux fixes thanks to Darcy Boese
# Makefile dependency fixes thanks to Paul Roberts.
# Solaris fixes thanks to Darryl House

OLDSRC = \
$(COMDIR)/3d.c $(COMDIR)/ant.c $(COMDIR)/bigflt.c $(COMDIR)/biginit.c \
$(COMDIR)/bignum.c $(COMDIR)/bignumc.c $(COMDIR)/calcfrac.c \
$(COMDIR)/cmdfiles.c $(COMDIR)/decoder.c $(COMDIR)/editpal.c \
$(COMDIR)/encoder.c $(COMDIR)/evolve.c $(COMDIR)/f16.c \
$(COMDIR)/fracsubr.c $(COMDIR)/fractalb.c $(COMDIR)/fractalp.c \
$(COMDIR)/fractals.c $(COMDIR)/fractint.c $(COMDIR)/framain2.c \
$(COMDIR)/frasetup.c $(COMDIR)/gifview.c $(COMDIR)/hcmplx.c \
$(COMDIR)/help.c $(COMDIR)/history.c $(COMDIR)/intro.c \
$(COMDIR)/jb.c $(COMDIR)/jiim.c $(COMDIR)/line3d.c \
$(COMDIR)/loadfdos.c $(COMDIR)/loadfile.c $(COMDIR)/loadmap.c \
$(COMDIR)/lorenz.c $(COMDIR)/lsys.c $(COMDIR)/lsysf.c \
$(COMDIR)/memory.c $(COMDIR)/miscfrac.c $(COMDIR)/miscovl.c \
$(COMDIR)/miscres.c $(COMDIR)/mpmath_c.c $(COMDIR)/parser.c \
$(COMDIR)/parserfp.c $(COMDIR)/plot3d.c $(COMDIR)/printer.c \
$(COMDIR)/prompts1.c $(COMDIR)/prompts2.c $(COMDIR)/realdos.c \
$(COMDIR)/rotate.c $(COMDIR)/slideshw.c $(COMDIR)/soi.c \
$(COMDIR)/soi1.c $(COMDIR)/stereo.c $(COMDIR)/targa.c \
$(COMDIR)/testpt.c $(COMDIR)/tgaview.c $(COMDIR)/zoom.c $(COMDIR)/Makefile

NEWSRC = \
$(UDIR)/calcmand.c $(UDIR)/calmanfp.c $(UDIR)/diskvidu.c \
$(UDIR)/fpu087.c $(UDIR)/fracsuba.c $(UDIR)/general.c \
$(UDIR)/xfcurses.c $(UDIR)/video.c $(UDIR)/unix.c $(UDIR)/unixscr.c \
$(UDIR)/Makefile $(UDIR)/xfract_a.inc $(UDIR)/calmanfx.asm

HEADERS = \
$(HFD)/big.h $(HFD)/biginit.h $(HFD)/cmplx.h $(HFD)/externs.h \
$(HFD)/fmath.h $(HFD)/fractint.h $(HFD)/fractype.h $(HFD)/helpcom.h \
$(HFD)/lsys.h $(HFD)/mpmath.h $(HFD)/port.h $(HFD)/prototyp.h \
$(HFD)/targa.h $(HFD)/targa_lc.h $(HFD)/tplus.h $(HFD)/unix.h \
$(HFD)/xfcurses.h

DOCS = debugfla.txt fractsrc.txt hc.txt

HELPFILES = \
$(DOSHELPDIR)/help.src $(DOSHELPDIR)/help2.src $(DOSHELPDIR)/help3.src \
$(DOSHELPDIR)/help4.src $(DOSHELPDIR)/help5.src

SRCFILES = $(OLDSRC) $(NEWSRC) $(HELPFILES) $(HEADERS) $(DOCS)

PARFILES = \
$(PDIR)/cellular.par $(PDIR)/demo.par $(PDIR)/fract18.par \
$(PDIR)/fract19.par $(PDIR)/fract200.par $(PDIR)/fractint.par \
$(PDIR)/icons.par $(PDIR)/lyapunov.par $(PDIR)/music.par \
$(PDIR)/newphoen.par $(PDIR)/orbits.par $(PDIR)/phoenix.par

FRMFILES = \
$(FDIR)/fractint.frm $(FDIR)/fract200.frm $(FDIR)/fract196.frm \
$(FDIR)/fract001.frm $(FDIR)/fract002.frm $(FDIR)/fract003.frm \
$(FDIR)/fract_sy.frm $(FDIR)/ikenaga.frm $(FDIR)/julitile.frm \
$(FDIR)/new_if.frm $(FDIR)/newton.frm

IFSFILES = $(IDIR)/fractint.ifs

LFILES = $(LDIR)/fractint.l $(LDIR)/penrose.l $(LDIR)/tiling.l

MAPFILES = \
$(MDIR)/altern.map $(MDIR)/blues.map $(MDIR)/chroma.map \
$(MDIR)/default.map $(MDIR)/firestrm.map $(MDIR)/froth3.map \
$(MDIR)/froth316.map $(MDIR)/froth6.map $(MDIR)/froth616.map \
$(MDIR)/gamma1.map $(MDIR)/gamma2.map $(MDIR)/glasses1.map \
$(MDIR)/glasses2.map $(MDIR)/goodega.map $(MDIR)/green.map \
$(MDIR)/grey.map $(MDIR)/grid.map $(MDIR)/headache.map \
$(MDIR)/landscap.map $(MDIR)/lyapunov.map $(MDIR)/neon.map \
$(MDIR)/paintjet.map $(MDIR)/royal.map $(MDIR)/topo.map $(MDIR)/volcano.map

XTRAFILES = \
$(XDIR)/all_maps.zip $(XDIR)/frmtut.zip $(XDIR)/if_else.zip \
$(XDIR)/phctutor.zip

OLDRUN = $(PARFILES) $(FRMFILES) $(IFSFILES) $(LFILES) $(MAPFILES)

NEWRUN = fractint.doc read.me $(UDIR)/xfractint.man

NEWFILES = $(UDIR)/$(NEWSRC) $(NEWRUN)

RUNFILES = $(OLDRUN) $(NEWRUN)

FILES = $(SRCFILES) $(RUNFILES)

OBJS = \
$(COMDIR)/3d.o $(COMDIR)/ant.o $(COMDIR)/bigflt.o  $(COMDIR)/biginit.o \
$(COMDIR)/bignum.o $(COMDIR)/bignumc.o $(COMDIR)/calcfrac.o \
$(COMDIR)/cmdfiles.o $(COMDIR)/decoder.o $(COMDIR)/editpal.o \
$(COMDIR)/encoder.o $(COMDIR)/evolve.o $(COMDIR)/f16.o $(COMDIR)/fracsubr.o \
$(COMDIR)/fractalb.o $(COMDIR)/fractalp.o $(COMDIR)/fractals.o \
$(COMDIR)/fractint.o $(COMDIR)/framain2.o $(COMDIR)/frasetup.o \
$(COMDIR)/gifview.o $(COMDIR)/hcmplx.o $(COMDIR)/help.o $(COMDIR)/history.o\
$(COMDIR)/intro.o $(COMDIR)/jb.o $(COMDIR)/jiim.o $(COMDIR)/line3d.o \
$(COMDIR)/loadfdos.o $(COMDIR)/loadfile.o $(COMDIR)/loadmap.o \
$(COMDIR)/lorenz.o $(COMDIR)/lsys.o $(COMDIR)/lsysf.o $(COMDIR)/memory.o \
$(COMDIR)/miscfrac.o $(COMDIR)/miscovl.o $(COMDIR)/miscres.o \
$(COMDIR)/mpmath_c.o $(COMDIR)/parser.o $(COMDIR)/parserfp.o \
$(COMDIR)/plot3d.o $(COMDIR)/printer.o $(COMDIR)/prompts1.o \
$(COMDIR)/prompts2.o $(COMDIR)/realdos.o $(COMDIR)/rotate.o \
$(COMDIR)/slideshw.o $(COMDIR)/soi.o $(COMDIR)/soi1.o $(COMDIR)/stereo.o \
$(COMDIR)/targa.o $(COMDIR)/testpt.o $(COMDIR)/tgaview.o \
$(COMDIR)/zoom.o


ifeq ($(AS),/usr/bin/nasm)

U_OBJS = \
$(UDIR)/calcmand.o $(UDIR)/calmanfp.o $(UDIR)/diskvidu.o $(UDIR)/fpu087.o \
$(UDIR)/fracsuba.o $(UDIR)/general.o $(UDIR)/unix.o $(UDIR)/xfcurses.o \
$(UDIR)/unixscr.o $(UDIR)/video.o \
$(UDIR)/calmanfx.o

else

U_OBJS = \
$(UDIR)/calcmand.o $(UDIR)/calmanfp.o $(UDIR)/diskvidu.o $(UDIR)/fpu087.o \
$(UDIR)/fracsuba.o $(UDIR)/general.o $(UDIR)/unix.o $(UDIR)/xfcurses.o \
$(UDIR)/unixscr.o $(UDIR)/video.o

endif

HOBJS = $(DOSHELPDIR)/hc.o unix.o

#Need to prevent lex from doing fractint.l -> fractint.c
.SUFFIXES:
.SUFFIXES: .o .c .s .h .asm

xfractint: fractint.hlp $(SRCFILES)
	if [ -f $(DOSHELPDIR)/helpdefs.h ] ; then mv -f $(DOSHELPDIR)/helpdefs.h $(HFD) ; fi
	cd common ; ${MAKE} all "CC=${CC}" "CFLAGS= -I.${HFD} ${CFLAGS} ${OPT}" "SRCDIR=${SHRDIR}" \
	          "HFD=.${HFD}"
	cd unix ; ${MAKE} all "CC=${CC}" "CFLAGS= -I.${HFD} ${CFLAGS} ${OPT}" "SRCDIR=${SHRDIR}" \
	          "AS=${AS}" "AFLAGS=${AFLAGS}" "HFD=.${HFD}"
	$(CC) -o xfractint $(CFLAGS) $(OPT) $(OBJS) $(U_OBJS) $(LIBS)
#	strip xfractint

fractint:
	if [ -x xfractint ] ; then mv -f xfractint xfractint.x11 ; fi
	rm -f common/encoder.o common/help.o common/realdos.o
	rm -f unix/unixscr.o unix/video.o unix/xfcurses.o
	make NCURSES=-DNCURSES ; mv xfractint fractint
	rm -f common/encoder.o common/help.o common/realdos.o
	rm -f unix/unixscr.o unix/video.o unix/xfcurses.o	
	if [ -x xfractint.x11 ] ; then mv -f xfractint.x11 xfractint ; fi
	
# tar: $(FILES)
#	tar cvfj xfractint.tar.bz2 $(FILES)

tar: clean
	cd .. ; tar cvfj $(BASEDIR).tar.bz2 $(BASEDIR)

tidy:
	rm -f $(HOBJS)
	cd common ; ${MAKE} tidy
	cd unix ; ${MAKE} tidy

clean:
	rm -f build-stamp *~ */*~ core
	rm -f $(HOBJS) fractint.doc fractint.hlp hc fractint xfractint
	rm -f $(HFD)/helpdefs.h
	cd $(COMDIR) ; ${MAKE} clean
	cd $(UDIR) ; ${MAKE} clean

install: xfractint fractint.hlp
	$(STRIP) xfractint

=== common/Makefile ===
SHELL=/bin/sh

OBJS = \
3d.o ant.o bigflt.o  biginit.o bignum.o bignumc.o calcfrac.o \
cmdfiles.o decoder.o editpal.o encoder.o \
evolve.o f16.o fracsubr.o fractalb.o fractalp.o fractals.o \
fractint.o framain2.o frasetup.o gifview.o hcmplx.o help.o history.o\
intro.o jb.o jiim.o line3d.o loadfdos.o loadfile.o loadmap.o lorenz.o \
lsys.o lsysf.o memory.o miscfrac.o miscovl.o miscres.o mpmath_c.o parser.o \
parserfp.o plot3d.o printer.o prompts1.o prompts2.o \
realdos.o rotate.o slideshw.o soi.o soi1.o stereo.o targa.o testpt.o tgaview.o \
zoom.o

#Need to prevent lex from doing fractint.l -> fractint.c
.SUFFIXES:
.SUFFIXES: .o .c .s .h .asm

all: $(OBJS)

tidy:
	rm -f $(OBJS)

clean:
	rm -f $(OBJS)

fractint.o: fractint.c
	$(CC) $(CFLAGS) -DSRCDIR=\"$(SRCDIR)\" -c fractint.c

help.o: help.c
	$(CC) $(CFLAGS) -DSRCDIR=\"$(SRCDIR)\" -c help.c

copy: $(FILES)
	mv $(FILES) backup

# DO NOT DELETE THIS LINE -- make depend depends on it.

3d.o: 3d.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

ant.o: ant.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h ${HFD}/helpdefs.h

bigflt.o: bigflt.c ${HFD}/big.h ${HFD}/biginit.h

biginit.o: biginit.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h \
${HFD}/big.h 

bignum.o: bignum.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h 

bignumc.o: bignumc.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h 

calcfrac.o: calcfrac.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/mpmath.h ${HFD}/targa_lc.h \
			${HFD}/prototyp.h ${HFD}/helpcom.h

cmdfiles.o: cmdfiles.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/prototyp.h ${HFD}/mpmath.h \
			${HFD}/helpcom.h

decoder.o: decoder.c ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/port.h ${HFD}/fractint.h ${HFD}/helpcom.h

editpal.o: editpal.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

encoder.o: encoder.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

f16.o: f16.c ${HFD}/targa_lc.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/port.h ${HFD}/fractint.h ${HFD}/helpcom.h

fracsubr.o: fracsubr.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/mpmath.h ${HFD}/prototyp.h \
			${HFD}/helpcom.h

fractalb.o: fractalb.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h \
${HFD}/helpdefs.h ${HFD}/fractype.h

fractalp.o: fractalp.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/mpmath.h ${HFD}/helpdefs.h ${HFD}/fractype.h \
			${HFD}/prototyp.h ${HFD}/helpcom.h

fractals.o: fractals.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/mpmath.h ${HFD}/helpdefs.h ${HFD}/fractype.h \
			${HFD}/prototyp.h ${HFD}/helpcom.h

fractint.o: fractint.c ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/port.h ${HFD}/fractint.h ${HFD}/helpcom.h \
			${HFD}/fractype.h ${HFD}/helpdefs.h

framain2.o: framain2.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h \
${HFD}/fractype.h ${HFD}/helpdefs.h

frasetup.o: frasetup.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h \
${HFD}/mpmath.h ${HFD}/helpdefs.h ${HFD}/fractype.h

gifview.o: gifview.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

hcmplx.o: hcmplx.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h ${HFD}/mpmath.h

help.o: help.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/helpcom.h ${HFD}/helpdefs.h ${HFD}/prototyp.h ${HFD}/mpmath.h

history.o: history.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h

intro.o: intro.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/helpdefs.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

jb.o: jb.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/mpmath.h ${HFD}/helpdefs.h ${HFD}/prototyp.h ${HFD}/helpcom.h

jiim.o: jiim.c ${HFD}/helpdefs.h ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/prototyp.h ${HFD}/mpmath.h \
		${HFD}/helpcom.h

line3d.o: line3d.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

loadfdos.o: loadfdos.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/helpdefs.h ${HFD}/prototyp.h ${HFD}/mpmath.h \
			${HFD}/helpcom.h

loadfile.o: loadfile.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/targa_lc.h ${HFD}/prototyp.h \
			${HFD}/mpmath.h ${HFD}/helpcom.h

loadmap.o: loadmap.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

lorenz.o: lorenz.c ${HFD}/mpmath.h ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/prototyp.h ${HFD}/helpcom.h

lsys.o: lsys.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

lsysf.o: lsysf.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h ${HFD}/lsys.h

miscfrac.o: miscfrac.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h \
${HFD}/fractype.h ${HFD}/targa_lc.h

miscovl.o: miscovl.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/helpdefs.h ${HFD}/prototyp.h \
			${HFD}/mpmath.h ${HFD}/helpcom.h

miscres.o: miscres.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/helpdefs.h ${HFD}/prototyp.h \
			${HFD}/mpmath.h ${HFD}/helpcom.h

mpmath_c.o: mpmath_c.c ${HFD}/mpmath.h ${HFD}/prototyp.h ${HFD}/port.h ${HFD}/fractint.h ${HFD}/helpcom.h

parser.o: parser.c ${HFD}/mpmath.h ${HFD}/prototyp.h ${HFD}/port.h ${HFD}/fractint.h ${HFD}/helpcom.h

parserfp.o: parserfp.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

plot3d.o: plot3d.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

printer.o: printer.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

prompts1.o: prompts1.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/helpdefs.h ${HFD}/prototyp.h \
			${HFD}/mpmath.h ${HFD}/helpcom.h

prompts2.o: prompts2.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/helpdefs.h ${HFD}/prototyp.h \
			${HFD}/mpmath.h ${HFD}/helpcom.h

realdos.o: realdos.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/fractype.h ${HFD}/helpdefs.h ${HFD}/prototyp.h \
			${HFD}/mpmath.h ${HFD}/helpcom.h

rotate.o: rotate.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/helpdefs.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

slideshw.o: slideshw.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

stereo.o: stereo.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h ${HFD}/helpdefs.h

targa.o: targa.c ${HFD}/targa.h ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

testpt.o: testpt.c

tgaview.o: tgaview.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/targa_lc.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

tp3d.o: tp3d.c ${HFD}/mpmath.h ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/helpcom.h

zoom.o: zoom.c ${HFD}/fractint.h ${HFD}/port.h ${HFD}/prototyp.h ${HFD}/mpmath.h ${HFD}/helpcom.h

=== debian/changelog ===
xfractint (20.4.10-5) unstable; urgency=medium

  * QA upload.

  * Added 1030-no-implicit-declaration.patch to fix build problem
    (Closes: #1069309).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Apr 2024 01:16:21 +0200

xfractint (20.4.10-4) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.8.4 to 4.7.0.
  * Replaced obsolete libncurses5-dev build dependency with libncurses-dev.
  * Switched to quilt (3.0) source format and added 1000-build-fixes.patch.
  * Suppressed bogus source-is-missing lintian warning.
  * Switched to debhelper compat level 13 and moved to dh build system
    with hardening.
  * Replaced Debian menu entry with XDG desktop menu entry.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 19 Apr 2024 14:48:44 +0200

xfractint (20.4.10-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1001579)
  * debian/rules: Add build-{arch,indep} (Closes: #999017).

 -- Marcos Talau <talau@debian.org>  Sun, 06 Nov 2022 13:59:43 -0300

xfractint (20.4.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 10. (Closes: #966184)
    - Use -fcommon with CFLAGS.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 16 Dec 2020 17:16:36 +0000

xfractint (20.4.10-2) unstable; urgency=low

  * replace/conflict with fractxtra. Closes: #604975

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 05 Dec 2010 22:35:54 +0200

xfractint (20.4.10-1) unstable; urgency=low

  * New upstream version
  * enable autobuilding, Closes: #410674, #587959
  * update watch file. Closes: #449889
  * remove bashism from rules, Closes: #581474

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 24 Nov 2010 21:24:54 +0200

xfractint (20.4.00-1) unstable; urgency=low
  
  * fixed menu file (Closes: #275720)
  * New upstream version

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 19 Nov 2004 22:51:52 +0000

xfractint (20.3.01-2) unstable; urgency=low

  * I am wishing this hangover will kill me Release
  * REALLY add the libx11-dev build-depency this time

 -- Riku Voipio <riku.voipio@iki.fi>  Sun,  7 Mar 2004 11:01:56 +0000

xfractint (20.3.01-1) unstable; urgency=low

  * New upstream version
  * added libx11-dev build-depencies
  * /usr/X11R6/bin -> /usr/bin

 -- root <root@kgb.cia>  Sun, 29 Feb 2004 16:09:52 +0000

xfractint (20.2.05-1) unstable; urgency=low

  * New upstream version
  * kill the evil varargs #ifdefs. closes: #217757
  * lintian full-stop warning happiness
  * added watch file

 -- Riku Voipio <riku.voipio@iki.fi>  Tue,  6 Jan 2004 14:03:17 +0200

xfractint (20.2.04-1) unstable; urgency=low

  * libncurses5-dev build-dependency. closes: #179560
  * Oops, not a native debian package.

 -- Riku Voipio <riku.voipio@iki.fi>  Sun,  2 Mar 2003 15:32:08 +0200

xfractint (20.2.04) unstable; urgency=low

  * New upstream version, closes #169121 
  * finally works well on 24bit displays, closes #80848
  

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 19 Nov 2002 22:19:21 +0200

xfractint (3.10-1) unstable; urgency=low

  * New upstream version
  * some lintian stuff cleaned away

 -- Riku Voipio <riku.voipio@iki.fi>  Tue,  8 Feb 2000 22:10:36 +0200

xfractint (3.04-6) unstable; urgency=low

  * Finally take back (sorry Martin to have to wait)
  * fixes #40873
  * other modernisations

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 23 Dec 1999 19:40:05 +0200

xfractint (3.04-5) unstable; urgency=low

  * Reformated description
  * Rewrote debian/rulels

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue,  9 Mar 1999 11:53:03 +0100

xfractint (3.04-4) unstable; urgency=low

  * Added small patch for PowerPC version, Konstantinos Margaritis
    <kmargar@cc.uoa.gr>

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 20 Jan 1999 10:53:10 +0100

xfractint (3.04-3) frozen unstable; urgency=low

  * Removed getwd() and turned it into getcwd()
  * Converted some routines to use definitions from <limits.h>
  * Finally spent a lot of time in understanding the code and fixed the
    problem wrt. long filenames and xfractint only working with names that
    are only 12 characters large.  A detailed description my work can be
    found in the source prompts2.c.  It is enclosed in #ifdef LONG_FNAMES
    which is activated in debian/rules.  (closes: Bug#3186)
  * Added source location and address of Unix porter to copyright file

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon,  2 Nov 1998 14:03:24 +0100

xfractint (3.04-2) unstable; urgency=low

  * changed maintainer to joey@debian.org (Martin Schulze)
  * Added support for Eterm
  * Up to stanard 2.4.0.0

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 25 May 1998 14:54:58 +0300

xfractint (3.04-1) unstable; urgency=low

  * New upstream version
  * Up to standard 2.3.0.0
  * debian configuration files converted to my style
  * xtfractint now uses best available of xterm/rxvt/xterm-color
  * New maintainer address

 -- Riku Voipio <riku.voipio@iki.fi>  Sat, 13 Sep 1997 15:49:02 +0300

xfractint (3.02-4) unstable; urgency=low

  * New maintainer

 -- Riku Voipio <riku.voipio@sci.fi>  Sat, 15 Mar 1997 23:37:19 +0200

xfractint (3.02-3) unstable; urgency=low

  * Converted into new packaging scheme
  
 -- Martin Schulze <joey@infodrom.north.de>  Sun, 23 Feb 1997 12:24:43 +0100

=== debian/control ===
Source: xfractint
Section: non-free/graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: libncurses-dev, debhelper-compat (=13), libx11-dev
XS-Autobuild: yes
Homepage: http://www.fractint.org
Vcs-Browser: https://salsa.debian.org/debian/xfractint
Vcs-Git: https://salsa.debian.org/debian/xfractint.git
Rules-Requires-Root: no

Package: xfractint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: fractxtra
Conflicts: fractxtra
Description: UNIX-based fractal generator
 Generate Mandelbrot, Julia, IFS, and many more fractals in 2D and 3D,
 including those you design yourself. Version 19 now supports
 arbitrary precision which allows zooming to a depth of 10^1600, as
 well as generation of random dot stereograms.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	$(MAKE)
	$(MAKE) doc

=== debian/watch ===
version=3
http://www.fractint.org/ftp/current/linux/ xfractint-(.*).tar.gz
